Subject: [Ietf-calsify] Section 4.4: "Single iCalendar object" versus "Sequence of iCalendar objects"

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Mon Aug 21 19:47:54 2006

Section 4.4 iCalendar Object of RFC 2445 says:

 > The Calendaring and Scheduling Core Object is a collection of
 > calendaring and scheduling information. Typically, this information
 > will consist of a single iCalendar object. However, multiple
 > iCalendar objects can be sequentially grouped together. The first
 > line and last line of the iCalendar object MUST contain a pair of
 > iCalendar object delimiter strings. The syntax for an iCalendar
 > object is as follows:
 >
 >   icalobject = 1*("BEGIN" ":" "VCALENDAR" CRLF
 >                icalbody
 >                "END" ":" "VCALENDAR" CRLF)

I would like to modify this section to introduce the notion of an
"iCalendar stream" to make it explicit when we are refering to a
"single iCalendar object" or a "sequence of iCalendar objects".

Proposed new text:

 > The Calendaring and Scheduling Core Object is a collection of
 > calendaring and scheduling information. Typically, this information
 > will consist of an iCalendar stream with a single iCalendar object.
 > However, multiple iCalendar objects can be sequentially grouped
 > together in an iCalendar stream. The first line and last line of
 > the iCalendar object MUST contain a pair of iCalendar object
 > delimiter strings. The syntax for an iCalendar stream is as follows:
 >
 >   icalstream = 1*icalobject
 >
 >   icalobject = "BEGIN" ":" "VCALENDAR" CRLF
 >                icalbody
 >                "END" ":" "VCALENDAR" CRLF

Cheers,
Bernard

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Mon Aug 21 20:03:40 2006

Hi Bernard,

>  >                "END" ":" "VCALENDAR" CRLF

+1

I definitely like the idea of icalstream as a way of describing multiple 
BEGIN/END:VCALENDAR objects within one mime part etc. Whilst this does not 
appear too frequently in iCalendar data, 2445 does make reference to such 
things.

-- 
Cyrus Daboo

---

From: alexey.melnikov at isode.com (Alexey Melnikov)
Date: Tue Aug 22 03:01:59 2006

> >                "END" ":" "VCALENDAR" CRLF

I like that.

---

From: TimHare at comcast.net (Tim Hare)
Date: Wed Aug 23 18:27:09 2006

1. If icalstream = 1*icalobject how does that allow n*icalobject ("multiple
BEGIN/END:VCALENDAR objects) within one MIME part?

2. I think the original iCalendar really intended to talk about multiple
iCalendar _components_ within one iCalendar "stream", basically that one
stream or serialized object / file could contain multiple VEVENTs, VTODOs,
for one calendar; I never understood from reading it that it wss intended to
handle multiple calendars for different "users" that way.

Tim Hare
Interested Bystander, Non-Inc.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Cyrus Daboo
Sent: Monday, August 21, 2006 11:04 PM
To: Bernard Desruisseaux; Calsify WG
Subject: Re: [Ietf-calsify] Section 4.4: "Single iCalendar object"
versus"Sequence of iCalendar objects"

Hi Bernard,

--On August 21, 2006 10:46:30 PM -0400 Bernard Desruisseaux
<[email-masked]> wrote:

> Proposed new text:
>
>  > The Calendaring and Scheduling Core Object is a collection of  > 
> calendaring and scheduling information. Typically, this information  > 
>  > However, multiple iCalendar objects can be sequentially grouped  > 
> together in an iCalendar stream. The first line and last line of  > 
> the iCalendar object MUST contain a pair of iCalendar object  > 

+1

--
Cyrus Daboo

_______________________________________________
Ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify

---

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Fri Aug 25 04:11:31 2006

Hi Tim,

> BEGIN/END:VCALENDAR objects) within one MIME part?

Read RFC 4234 (ABNF) section 3.6. Variable Repetition: *Rule.

> handle multiple calendars for different "users" that way.

No. In RFC 2445 an "icalobject" allows 1 or more
"BEGIN:VCALENDAR ... END:VCALENDAR" while an
"icalbody" allows 1 or more components.

Cheers,
Bernard